commit: 8d1bcb67f86221651bba4fcd3c0133016d40cb74
Author: Zero_Chaos <zerochaos <AT> gentoo <DOT> org>
AuthorDate: Thu May 11 20:58:44 2017 +0000
Commit: Richard Farina <zerochaos <AT> gentoo <DOT> org>
CommitDate: Thu May 11 20:59:14 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8d1bcb67
net-analyzer/metasploit: sure is nice when metasploit finally works
Package-Manager: Portage-2.3.5, Repoman-2.3.2
net-analyzer/metasploit/Manifest | 1 +
.../{metasploit-9999.ebuild => metasploit-4.14.16.ebuild} | 12 +++++++-----
net-analyzer/metasploit/metasploit-9999.ebuild | 7 +++----
3 files changed, 11 insertions(+), 9 deletions(-)
diff --git a/net-analyzer/metasploit/Manifest b/net-analyzer/metasploit/Manifest
index 96303df90d3..de6a1f6e366 100644
--- a/net-analyzer/metasploit/Manifest
+++ b/net-analyzer/metasploit/Manifest
@@ -1,2 +1,3 @@
DIST metasploit-4.12.16.tar.gz 23258256 SHA256
082f4109da2368fc4ec25a64ceae7655da80b3a46f650f86ff52d9bfac05c584 SHA512
6a95ddc848b95069bc425dd65ba4ed19be981d613cdb13d998ff1222f2ceddaf8b55c355243d69094b691e2a2d7580053284969c9a5133b2328c7d1743055101
WHIRLPOOL
70aa40de2c2b8884b3705e9d150f1b30a8477acc9c79ac1e491a0d9f15aa13b4d64697cf5e7e712173862ab96ecc76636b92cbc24ea228a5d14b9a4a420ac064
DIST metasploit-4.12.7.tar.gz 23335841 SHA256
30d3fe6f0e3626e86d1497beb21f4ed304fb2f5f375823a5b91f5cbc9d762bae SHA512
6927876b577e1d2421eeabdd1abab90ac99aef02703c0b431eb664c855008639081af64dd82426b87114c8460ecd31ecb46cc89af1edf4f65a2e79b30d99675a
WHIRLPOOL
add23aad4f5f916510c1e879d25b182651c2bd22e10311ebf43347c8a5fc5056a1f9ee13906791754585bfea4ab742a005564347de7dabaa62f987301b4c0332
+DIST metasploit-4.14.16.tar.gz 23726763 SHA256
c45e17fb3e63569294366806743d2cb0fe44b7173c031c019725ebf36f5922f2 SHA512
882968e68ff5adf10426f6e8480f3eac7cd9b289c1e641a91e537d31a434858f2c47b4f7b5bf23fcfc22eceecd2527eedb7eac3e9a8ad4a212187762b1b9aab2
WHIRLPOOL
b634b804a701a0154b86ddb95f5159f80e76f7146032236fd32198af7f01f51dc56eef2f22eee2da2bbc382ed5fde51b5d8d5fcca1a9b5e81bb93a06c2f12b1d
diff --git a/net-analyzer/metasploit/metasploit-9999.ebuild
b/net-analyzer/metasploit/metasploit-4.14.16.ebuild
similarity index 97%
copy from net-analyzer/metasploit/metasploit-9999.ebuild
copy to net-analyzer/metasploit/metasploit-4.14.16.ebuild
index a5e46c9add2..1df710fce57 100644
--- a/net-analyzer/metasploit/metasploit-9999.ebuild
+++ b/net-analyzer/metasploit/metasploit-4.14.16.ebuild
@@ -15,12 +15,9 @@ if [[ ${PV} == "9999" ]] ; then
SLOT="9999"
else
##Tags https://github.com/rapid7/metasploit-framework/releases
- ##Releases
https://github.com/rapid7/metasploit-framework/wiki/Downloads-by-Version
-
#SRC_URI="https://github.com/rapid7/metasploit-framework/archive/${PV}.tar.gz
-> ${P}.tar.gz"
- ##Snapshots
MY_PV=${PV/_p/-}
SRC_URI="https://github.com/rapid7/metasploit-framework/archive/${MY_PV}.tar.gz
-> ${P}.tar.gz"
- KEYWORDS="~amd64 ~arm ~x86"
+ KEYWORDS="~amd64 ~arm"
RUBY_S="${PN}-framework-${MY_PV}"
inherit versionator
SLOT="$(get_version_component_range 1).$(get_version_component_range 2)"
@@ -50,7 +47,7 @@ RUBY_COMMON_DEPEND="virtual/ruby-ssl
dev-ruby/metasm:1.0.2
>=dev-ruby/metasploit_data_models-2.0.0
dev-ruby/meterpreter_bins:0.0.22
- dev-ruby/metasploit-payloads:1.2.28
+ dev-ruby/metasploit-payloads:1.2.24
dev-ruby/metasploit_payloads-mettle:0.1.9
>=dev-ruby/metasploit-credential-2.0.0
>=dev-ruby/metasploit-concern-2.0.0
@@ -183,9 +180,14 @@ all_ruby_prepare() {
#Gemfile.lock contains the versions tested by the msf team but not the
hard requirements
#we regen this file in each_ruby_prepare
rm Gemfile.lock
+
#The Gemfile contains real known deps
sed -i "/gem 'fivemat'/s/, '1.2.1'//" Gemfile || die
+ #use released packetfu
sed -i "s/1.1.13.pre/1.1.13/" metasploit-framework.gemspec || die
+ #git gems are only for ruby24 support and we are not there yet
+ sed -i "/git:/d" Gemfile || die
+
#now we edit the Gemfile based on use flags
if ! use pcap; then
sed -i -e "/^group :pcap do/,/^end$/d" Gemfile || die
diff --git a/net-analyzer/metasploit/metasploit-9999.ebuild
b/net-analyzer/metasploit/metasploit-9999.ebuild
index a5e46c9add2..f2e549088f8 100644
--- a/net-analyzer/metasploit/metasploit-9999.ebuild
+++ b/net-analyzer/metasploit/metasploit-9999.ebuild
@@ -15,9 +15,6 @@ if [[ ${PV} == "9999" ]] ; then
SLOT="9999"
else
##Tags https://github.com/rapid7/metasploit-framework/releases
- ##Releases
https://github.com/rapid7/metasploit-framework/wiki/Downloads-by-Version
-
#SRC_URI="https://github.com/rapid7/metasploit-framework/archive/${PV}.tar.gz
-> ${P}.tar.gz"
- ##Snapshots
MY_PV=${PV/_p/-}
SRC_URI="https://github.com/rapid7/metasploit-framework/archive/${MY_PV}.tar.gz
-> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~x86"
@@ -185,7 +182,9 @@ all_ruby_prepare() {
rm Gemfile.lock
#The Gemfile contains real known deps
sed -i "/gem 'fivemat'/s/, '1.2.1'//" Gemfile || die
- sed -i "s/1.1.13.pre/1.1.13/" metasploit-framework.gemspec || die
+ #git gems are only for ruby24 support and we are not there yet
+ sed -i "/git:/d" Gemfile || die
+
#now we edit the Gemfile based on use flags
if ! use pcap; then
sed -i -e "/^group :pcap do/,/^end$/d" Gemfile || die